CVE-2024-39895

CVSS 3.1 Score 6.5 of 10 (medium)

Details

Published Jul 8, 2024
CWE ID 400

Summary

CVE-2024-39895 is a vulnerability affecting Directus, a real-time API and App dashboard for managing SQL database content. This vulnerability allows for a denial of service (DoS) attack through field duplication in GraphQL, which overwhelms the server by requesting the same field multiple times in a single query. By exploiting the flexibility of GraphQL, an attacker can cause redundant computations and consume excessive resources, resulting in a denial of service for legitimate users. The vulnerability is fixed in version 10.12.0 of Directus. The potential danger posed to organizations is that it can disrupt normal operations by rendering the server unavailable, impacting productivity and potentially causing financial losses.

Prevent cyber attacks with Recorded Future by prioritizing and patching critical vulnerabilities being exploited by threat actors targeting your industry. Book your demo to learn more.

Share

Prioritize, Pinpoint, and Act to Prevent Vulnerability Exploits with Recorded Future

Note: This is just a basic overview providing quick insights into CVE-2024-39895 information. Gain full access to comprehensive CVE data, third party vulnerabilities, compromised credentials and more with Recorded Future
  • Gain complete coverage of your cyber, third party, and physical attack surface
  • Proactively mitigate threats before they turn into costly attacks
  • Make fast, effective, data-driven decisions